# H248_ServiceChangeResult Class Reference

`#include <h248.h>`

List of all members.

## Public Types

enum | Choices { e_errorDescriptor, e_serviceChangeResParms }

## Public Member Functions

| H248_ServiceChangeResult (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H248_ErrorDescriptor & ()
| operator const H248_ErrorDescriptor & () const
| operator H248_ServiceChangeResParm & ()
| operator const H248_ServiceChangeResParm & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H248_ServiceChangeResult::Choices

Enumerator:

  e_errorDescriptor |
  e_serviceChangeResParms |

## Constructor & Destructor Documentation

H248_ServiceChangeResult::H248_ServiceChangeResult | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H248_ServiceChangeResult::operator H248_ErrorDescriptor & | ( |  | ) |

H248_ServiceChangeResult::operator const H248_ErrorDescriptor & | ( |  | ) | const

H248_ServiceChangeResult::operator H248_ServiceChangeResParm & | ( |  | ) |

H248_ServiceChangeResult::operator const H248_ServiceChangeResParm & | ( |  | ) | const

PBoolean H248_ServiceChangeResult::CreateObject | ( |  | ) |

PObject* H248_ServiceChangeResult::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h248.h